<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="WorkFlowStep" package="performa.orm">
        <IMPORT value="performa.orm.types.*"/>
                
        <TABLE  name="tl_work_flow_step"    tablePrefix="object"    polymorphic="FALSE">
                        
            <ATTRIB name="SortOrder"    type="Integer"      dbcol="sort_order"  mandatory="true"/>
            <ATTRIB name="StepType"     type="StepType"     dbcol="step_type"   mandatory="true"    attribHelper="EnumeratedAttributeHelper"/>

            <SINGLEREFERENCE    name="WorkFlowStage"    type="WorkFlowStage"    dbcol="work_flow_stage_id"  backreferenceName="Steps"   mandatory="true"/>

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_work_flow_step.object_id is not null"   orderBy="tl_work_flow_step.object_id"   />
            
    </BUSINESSCLASS>
    
</ROOT>